
* =================================================================================================
* ========================= INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS - INEC ===========================
* ================== DIRECCIN DE ESTADSTICAS AGROPECUARIAS Y AMBIENTALES - DEAGA ====================
* ========================== REGISTRO INTEGRAL DE RESIDUOS SLIDOS- GIRS 2016 ==========================
* ============================= SINTAXIS DE ELABORACIN DE INDICADORES================================
* ============================= ELABORADO POR: DEAGA===============================================
* ======================================= FEBRERO - MARZO 2018 ======================================
* ======================================= INDICADORES  ==============================================


***********************************MUNICIPIOS***********************************
******************CLCULO DE INDICADORES RESIDUOS 2016***********

compute base = 1.
execute.


**************************INDICADOR 1*******************************************
***GAD MUNICIPALES QUE CUENTAN CON MODELO DE GESTIN****

*Gestin Directa.
IF (MR131 = 1) MGD = 1.
IF (MR131 = 2) MGD = 0 .
VARIABLE LABELS MGD 'Municipios con Gestin Directa' .
recode MGD (SYSMIS=0).
value labels MGD 1'Si' 0 'No'.

freq MR131 MGD.

* Empresa Municipal.
IF (MR1331 = 1) MEP = 1.
IF (MR1331 = 2) MEP = 0.
IF (MR1331 = 3) MEP = 0.
VARIABLE LABELS MEP 'Municipios con Empresa Municipal' .
recode MEP (SYSMIS=0).
value labels MEP 1'Si' 0 'No'.

freq MR1331 MEP.

* Mancomunidad.
IF (MR132 = 1) MM = 1.
IF (MR132 = 2) MM = 0.
VARIABLE LABELS MM 'Municipios con Mancomunidad' .
recode MM (SYSMIS=0).
value labels MM 1'Si' 0 'No'.

freq MR132 MM.

* Empresa Pblica Mancomunada.
IF (MR1331 = 1) EPM = 0.
IF (MR1331 = 2) EPM = 1.
IF (MR1331 = 3) EPM = 0.
VARIABLE LABELS EPM 'Municipios con Empresa Pblica Mancomunada' .
recode EPM (SYSMIS=0).
value labels EPM 1'Si' 0 'No'.

freq MR1331 EPM.

frequencies MGD MEP MM EPM.

TABLES  /FORMAT BLANK MISSING('.')
/obser=base MGD MEP MM EPM
/ptotal = total 'Nacional'
/TABLE= total + rgnatu + Provin by MGD+ MEP+ MM + EPM+ base
/STATISTICS= sum ( MGD (f8.0)'', MEP (f8.0)'', MM (f8.0)'',
EPM (f8.0)'') 
/STATISTICS= mean( MGD (f8.2)'', MEP (f8.2)'', MM (f8.2)'',
EPM (f8.2)'') sum(base(f8.0)'Municipios')
/title='Porcentaje de GADs Municipales que cuentan con un Modelo de Gestin'
/caption='Fuente: INEC -Municipios - Gestin Integral de Residuos Slidos 2016'.



**************************INDICADOR 2*******************************************

****Cobertura de Servicio de Barrido (Municipios que si constan con calles susceptibles a ser barridas)*****


filter off.

USE ALL.
COMPUTE filter_$=( MR412 = 1).
VARIABLE LABEL filter_$ 'MR412 = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.



********Sumatoria de Vias Barridas (Manual y Mecanico)*****.

COMPUTE VB = sum.1(MR41313, MR41413).
VARIABLE LABELS VB 'Vias Barridas'.
execute.

********Calculo de cobertura de servicio******************.

compute CSB = VB / MR4123.
variable labels CSB 'Cobertura de Servicio de Barrido'.
execute.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin VB MR4123 CSB base DISPLAY=LABEL
  /TABLE rgnatu + Provin BY VB [SUM] + MR4123 [SUM] + CSB [MEAN] + base [SUM]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Cobertura de Servicio de Barrido (Municipios que si constan con calles susceptibles a ser barridas)'
    CAPTION='Fuente:AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos.'.


*Nota: La cobertura hay que calcularla en el programa Excel. 


**************************INDICADOR 3*******************************************
****Proporcin de Gads Municipales que ha iniciado o mantienen Procesos de Separacin en la Fuente****


*****Separacin en la Fuente a Nivel Domiciliar*****.

filter off.

IF (MR423 = 1) MSF = 1 .
IF (MR423 = 2) MSF = 0 .

value labels MSF 0'No' 1'Si'.
VARIABLE LABELS MSF 'Municipios con Separacin en la Fuente' .
execute.

frequencies MSF MR423.


* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu Provin MSF DISPLAY=LABEL 
  /TABLE rgnatu [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] + Provin [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.2] BY MSF [C] 
  /CATEGORIES VARIABLES=rgnatu [1.00, 2.00, 3.00, 4.00] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE 
  /CATEGORIES VARIABLES=Provin [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 
    20, 21, 22, 23, 24] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MSF ORDER=D KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    TITLE='Proporcin de Gads Municipales que ha iniciado o mantienen Procesos de Separacin en '+ 
    'la Fuente: ' 
    CORNER='Regiones y Provincias' 
    CAPTION='Fuente: INEC -Municipios - Gestin Integral de Residuos Slidos 2016'.  



**************************INDICADOR 4*******************************************

**** RESIDUOS SLIDOS RECOLECTADOS AL DA****


****Diferenciada suma de Orgnico e Inorgnico**********.

compute DIF = sum.1 (MR4422, MR4423).
variable  labels DIF 'Diferenciada:  ton/da'.
execute.


*** No diferenciada la resta de Total cantidad de residuos recolectados - Diferenciada.
compute DIF2 = DIF * -1.
compute NODIF = sum.1(MR443, DIF2).
variable labels NODIF 'No Diferenciada: ton/da'.
execute.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin MR4422 MR4423 DIF NODIF MR443 base 
    DISPLAY=LABEL
  /TABLE rgnatu [C] + Provin [C] BY MR4422 [S][SUM, ROWPCT.SUM PCT40.1] + MR4423 [S][SUM, 
    ROWPCT.SUM PCT40.1] + DIF [S][SUM, ROWPCT.SUM PCT40.1] + NODIF [S][SUM, ROWPCT.SUM PCT40.1] + MR443 
    [S][SUM, ROWPCT.SUM PCT40.1] + base [S][SUM]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Residuos Slidos Recolectados (Toneladas/da)'
    CAPTION='Fuente:AME-INEC. 2016, Registro de Gestin Integral de Residuos Slidos.'.



**************************INDICADOR 5*******************************************

**** Para la Disposicin Final de los Residuos Slidos, el Municipio cuenta con:  ****



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin MR451 base DISPLAY=LABEL
  /TABLE rgnatu [C] + Provin [C] BY MR451 [COUNT F40.0, ROWPCT.COUNT PCT40.1] + base [S][SUM]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=MR451 [3, 2, 1, OTHERNM] EMPTY=INCLUDE
  /TITLES
    TITLE='Para la Disposicin Final de los Residuos Slidos, el Municipio cuenta con: '
    CAPTION='Fuente:AME-INEC. 2016, Registro de Gestin Integral de Residuos Slidos.'.


**************************INDICADOR 6*******************************************

***Municipios que cuentan con Recoleccin Diferenciada de Desechos Sanitarios Peligrosos****



IF (MR463111 = 1 or MR463121 = 1) RDES = 1.
recode RDES (SYSMIS=0).
value labels RDES 1'Si' 0'No'.
VARIABLE LABELS RDES 'Municipios con Recoleccin Diferenciada de Desechos Sanitarios Peligrosos' .
frequencies RDES.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin RDES base DISPLAY=LABEL
  /TABLE rgnatu [C] + Provin [C] BY RDES [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + base [SUM]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=RDES [1.00, .0, OTHERNM] EMPTY=EXCLUDE
  /TITLES
    TITLE='Municipios que cuentan con Recoleccin Diferenciada de Desechos Sanitarios Peligrosos.'
    CAPTION='Fuente:AME-INEC. 2016, Registro de Gestin Integral de Residuos Slidos.'.



**************************INDICADOR 7*******************************************

***** Manejo Final de Desechos Peligrosos generados de Establecimientos de Salud. ****


RECODE MR4637 (SYSMIS =2).
EXECUTE.


if (MR46372 = 1 ) MFDPES = 1.
if (MR463711 = 1 ) MFDPES = 2.
if (MR463711 = 2 ) MFDPES = 3.
if (MR463711 = 3 OR MR463711 = 4 ) MFDPES = 4.
if (MR4637 = 2 ) MFDPES = 5.
value labels MFDPES
1 'Celda Exclusiva'
2 'Autoclave'
3 'Incineracin'
4 'Otros'
5 'No cuenta con sistema de tratamiento y/o disposicin final Desechos Peligrosos Sanitarios'.
variable labels MFDPES 'Manejo Final de Desechos Peligrosos Generados de Establecimientos de Salud'.
EXECUTE.

freq MFDPES.




* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu Provin MFDPES DISPLAY=LABEL 
  /TABLE rgnatu [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] + Provin [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.2] BY MFDPES [C] 
  /CATEGORIES VARIABLES=rgnatu [1.00, 2.00, 3.00, 4.00] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE 
  /CATEGORIES VARIABLES=Provin [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 
    20, 21, 22, 23, 24] EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=MFDPES ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES LABEL='Municipios' 
    POSITION=AFTER 
   /TITLES 
    TITLE='Manejo Final de Desechos Peligrosos generados de Establecimientos de Salud.' '' 
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2016'.



**************************INDICADOR 8*******************************************

*********Subsidio de la Gestin Integral de Residuos Slidos******

compute costo = sum.1 ( MR2111, MR2121, MR2131, MR2141, MR2151, MR2161, MR2171).
variable labels costo 'Gasto REAL por Gestin Integral de Residuos Slidos: Dlares/mes'.
execute.

*****Gasto total************.

compute CT = sum.1 ( costo, MR219).
variable labels CT 'Gasto Total por Gestin Integral de Residuos Slidos: Dlares/mes'.
execute.

**** Ingreso Mensual******.

compute IM = MR233.
variable labels IM 'Ingresos mensuales por concepto de Tasa/Tarifa u Otros ingresos de la GIRS'. 
EXECUTE.

****Valor Subsidiado*******.

compute IM2 = IM * -1.
compute VS = sum.1( CT, IM2).
execute.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin CT IM IM2 VS base 
    DISPLAY=LABEL
  /TABLE rgnatu + Provin BY CT [SUM] + IM [SUM] + IM2 [SUM] + VS [SUM] + base [SUM]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Subsidio de la Gestin Integral de Residuos Slidos'
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2016'.

*Nota: El clculo del subsidio hay que hacerlo manualmente en Excel (solo sobre el valor subsidiado)


**************************INDICADOR 9*******************************************.


***Proporcin de Residuos Slidos Recuperados****.

compute ROTZU = MR4341 / 1000.
variable labels ROTZU 'Cantidad de Residuos Orgnicos Tratados en la Zona Urbana: Tonelada/mes'.
execute.

compute ROTZR = MR4342 / 1000.
variable labels ROTZR 'Cantidad de Residuos Orgnicos Tratados en la Zona Rural: Tonelada/mes'.
execute.

compute TROT = sum.1 (ROTZU, ROTZR).
variable labels TROT 'Cantidad Total de Residuos Orgnicos Tratados: Tonelada/mes'.
execute.

compute RI = sum.1 (MR4242_PAPEL, MR4242_CARTON, MR4242_PLASTICO, MR4242_MADERA, MR4242_VIDRIO, MR4242_HIERRO, MR4242_CHATARRA, MR4242_PET, 
MR4242_ALULATA, MR4242_NEUMATICOS, MR4242_ELEC, MR4242_TETRA, MR4242_OTROS).
variable labels RI 'Total Residuos Inorgnicos Recuperados: Kgs/mes'.
execute.

compute RIR = RI / 1000.
variable labels RIR 'Residuos Inorgnicos Recuperados: Tonelada/mes'.
execute.

compute CRR = MR443 * 30.
variable labels CRR 'Cantidad de Residuos Slidos Recolectados: Tonelada/mes'.
execute.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin ROTZU ROTZR TROT RIR CRR base 
    DISPLAY=LABEL
  /TABLE rgnatu [C] + Provin [C] BY ROTZU [S][SUM, ROWPCT.VALIDN PCT40.1] + ROTZR [S][SUM, 
    ROWPCT.VALIDN PCT40.1] + TROT [S][SUM, ROWPCT.VALIDN PCT40.1] + RIR [S][SUM, ROWPCT.VALIDN PCT40.1] 
    + CRR [S][SUM] + base [S][SUM]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Proporcin de Residuos Slidos Recuperados'
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2016'.


*Nota: El clculo de los porcentajes para cada tem hay que hacerlo manualmente en Excel.


**************************INDICADOR 10*******************************************

****Produccin Per Cpita de Desechos Slidos (Urbano)****


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin MR4221 base DISPLAY=LABEL
  /TABLE rgnatu [C] + Provin [C] BY MR4221 [MEAN] + base [S][SUM]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Produccin Per Cpita de Desechos Slidos (Urbano)'
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2016'.



**************************INDICADOR 11*******************************************

*******Costo de Gestin Mensual por tonelada de Basura******


compute CTGIRS = CT / MR25.
variable labels CTGIRS 'Costo Tonelada/mes de la Gestin Integral de Residuos Slidos: USD/mes'.
execute.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin CT MR25 CTGIRS base DISPLAY=LABEL
  /TABLE rgnatu [C] + Provin [C] BY CT [S][SUM] + MR25 [S][SUM] + CTGIRS [S][MEAN] + base [S][SUM]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Costo de Gestin Mensual por tonelada de Basura'
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2016'.

*Nota: El clculo del costo por tonelada hay que hacerlo manualmente en Excel .


filter off.

**********************************************************************************************************************
*******************************************FIN***********************************************************************